#include <spe/mfc.h>
#include "spu_intrinsics.h"

typedef union {
        unsigned long long      ull;
        unsigned int            vp[2];
} addr64;

int result __attribute__ ((aligned (128)));

int main ( int spuid, addr64 argp, addr64 envp)
{
        unsigned long long argAddress = argp.ull;

        /* Write to specified address */
        result = 42;

        _write_mfc(argAddress, &result, 4, 0, 0, 0);
        _set_mfc_tagmask(1);
        _wait_mfc_tags_all();

        /* Done */
        return 0;
}
