/*
 * libspu - A wrapper library to adapt the JSRE SPU usage model to SPUFS
 * Copyright (C) 2005 IBM Corp.
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2.1 of the License,
 * or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 *  License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software Foundation,
 *   Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

extern int _put_mfc_outbox (void *spu_ps_addr ,unsigned int data);
extern int _stat_mfc_outbox (void *spu_ps_addr);

extern int _get_mfc_inbox (void *spu_ps_addr);
extern int _stat_mfc_inbox (void *spu_ps_addr);

extern int _stat_mfc_inbox_intr (void *spu_ps_addr);

extern int _send_mfc_sig (void *spu_ps_addr, unsigned int signal_reg, unsigned int data);
