#include <stdio.h>
#include <stdlib.h>

#include <spe.h>

int main(int argc, char* argv[])
{
	char *binary;
	int threadnum,status;

	static int test_result __attribute__ ((aligned (128)));
	
        /*  DMA - Write test. */
	
	binary = load_binary("spe-dma-write");
	if (!binary)
		exit(2);
	
	printf("Test result Addr: %p\n",&test_result);
        
        threadnum = spe_create_thread(0, binary, &test_result, NULL, 0, 0);
	spe_wait(threadnum,&status,0);

	printf("Thread returned status: %04x\n",status);
	printf("Test result: %04x\n",test_result);
	
        /*  DMA - Read test. */

	binary = load_binary("spe-dma-read");
	if (!binary)
		exit(2);
	
        threadnum = spe_create_thread(0, binary, &test_result, NULL, 0, 0);
	spe_wait(threadnum,&status,0);

	printf("Thread returned status: %04x\n",status);
	printf("Test result: %04x\n",test_result);
	
	return 0;
}
